#
# spec file for package libchardet
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define lname   libchardet1
%define _name   chardet
Name:           libchardet
Version:        1.0.6
Release:        1.11
Summary:        Mozilla Universal Chardet library
License:        MPL-1.1
URL:            https://github.com/Joungkyun/libchardet
Source:         https://github.com/Joungkyun/libchardet/releases/download/%{version}/libchardet-%{version}.tar.bz2
Source1:        baselibs.conf
BuildRequires:  autoconf
BuildRequires:  automake >= 1.12
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkgconfig

%description
Mozilla's Universal Charset Detector C/C++ API.

%package -n %{lname}
Summary:        Mozilla Universal Chardet library

%description -n %{lname}
Mozilla's Universal Charset Detector C/C++ API.

%package devel
Summary:        Development files of libchardet
Requires:       %{lname} = %{version}

%description devel
The libchardet development package includes the header files,
libraries, development tools necessary for compiling and linking
application which will use libchardet.

%prep
%setup -q

%build
%configure \
  --disable-static
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

mkdir -p %{buildroot}%{_docdir}/
mv -f %{buildroot}%{_datadir}/doc/%{name}/ \
  %{buildroot}%{_docdir}/%{name}/

%post -n %{lname} -p /sbin/ldconfig

%postun -n %{lname} -p /sbin/ldconfig

%files -n %{lname}
%doc %{_docdir}/%{name}/
%{_bindir}/%{_name}-config
%{_libdir}/%{name}.so.*

%files devel
%{_includedir}/%{_name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{_name}.pc
%dir %{_mandir}/ko/
%dir %{_mandir}/ko/man3/
%{_mandir}/*/man?/detect*.?%{?ext_man}
%{_mandir}/man?/detect*.?%{?ext_man}

%changelog
* Mon Oct 25 2021 Alexei Sorokin <sor.alexei@meowr.ru>
- Update to version 1.0.6:
  * Add subdir-objects to configure.ac (gh#Joungkyun/libchardet#9).
  * Fix an autogen failure because of AM_PROG_AR with
    automake 1.11.1 (gh#Joungkyun/libchardet#10).
  * Fix no include guard (gh#Joungkyun/libchardet#12).
  * Add a BOM member to the DetectObj structure
    (gh#Joungkyun/libchardet#13).
  * Support automake-style "make check"
    (gh#Joungkyun/libchardet#15).
  * Fix a vulnerability: access to deleted heap memory in chardet
    and chardet_r api (gh#Joungkyun/libchardet#18).
  * Can't detect short euc-kr (gh#Joungkyun/libchardet#14).
* Fri May 27 2016 sor.alexei@meowr.ru
- Update to version 1.0.5:
  * Fix EUC extended area detection.
  * Fix control character on US-ASCII detection.
  * Fix wrong Danash ISO-8859-15 detection.
  * Fix binary safe problems.
    + replace detect to detect_r;
    + replace detect_handledata to detect_handledata_r.
  * Fix separate model directory
  * Improve single-byte charset detection confidence algorithm.
  * Update model of Greek, Hungarian and Thai.
  * New language model (Arabic, Danish, Esperanto, German, Spanish,
    Turkish, Vietnamese).
  * Fix wrong macro in manpages.
* Fri Jan  9 2015 sor.alexei@meowr.ru
- Initial package.
